Package com.databricks.jdbc.common.util

## Class ProcessNameUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.ProcessNameUtil

    public class ProcessNameUtil
    extends Object

Utility class for determining the current process name as it would appear in Activity Monitor.

### Constructor Summary

Constructors
`ProcessNameUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getProcessName()` Gets the current process name as it would appear in Activity Monitor.
`static String` `getProcessNameFromHandle()` Gets the current process name using ProcessHandle (Java 9+).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessNameUtil

    public ProcessNameUtil()

### Method Detail

#### getProcessName

    public static String getProcessName()

Gets the current process name as it would appear in Activity Monitor.

Returns:
  The current process name

#### getProcessNameFromHandle

    public static String getProcessNameFromHandle()

Gets the current process name using ProcessHandle (Java 9+).

Returns:
  The current process name or null if not available